xzdec.c File Reference

Simple single-threaded tool to uncompress .xz or .lzma files. More...

`#include "sysdefs.h"`
`#include "lzma.h"`
`#include <stdarg.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include "getopt.h"`
`#include "tuklib_progname.h"`
`#include "tuklib_exit.h"`

## Macros

#define | TOOL_FORMAT "xz"

## Functions

static void | lzma_attribute ((__format__(__printf__, 1, 2)))
static void | lzma_attribute ((__noreturn__))
static void | parse_options (int argc, char **argv)
| Parses command line options. More...
static void | uncompress (lzma_stream *strm, FILE *file, const char *filename)
int | main (int argc, char **argv)

## Variables

static int | display_errors = 2

## Detailed Description

Simple single-threaded tool to uncompress .xz or .lzma files.

## Function Documentation

## parse_options()

static void parse_options | ( | int | argc,
|  | char ** | argv
| ) |  |

static

Parses command line options.

## Variable Documentation

## display_errors

int display_errors = 2

static

Error messages are suppressed if this is zero, which is the case when –quiet has been given at least twice.